QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QXmppArchiveRetrieveIq Class Reference
Stanzas

Represents an archive retrieve IQ as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

Inheritance diagram for QXmppArchiveRetrieveIq:

List of all members.

## Public Member Functions
int | max () const
void | setMax (int max)
QDateTime | start () const
void | setStart (const QDateTime &start)
QString | with () const
void | setWith (const QString &with)

## Detailed Description

Represents an archive retrieve IQ as defined by XEP-0136: Message Archiving.

## Member Function Documentation

int QXmppArchiveRetrieveIq::max | ( |  | ) | const

Returns the maximum number of results.

void QXmppArchiveRetrieveIq::setMax | ( | int | max | ) |

Sets the maximum number of results.

Parameters:

  max |

void QXmppArchiveRetrieveIq::setStart | ( | const QDateTime & | start | ) |

Sets the start date/time for the archived conversations.

Parameters:

  start |

void QXmppArchiveRetrieveIq::setWith | ( | const QString & | with | ) |

Sets the JID which archived conversations must match.

Parameters:

  with |

QDateTime QXmppArchiveRetrieveIq::start | ( |  | ) | const

Returns the start date/time for the archived conversations.

QString QXmppArchiveRetrieveIq::with | ( |  | ) | const

Returns the JID which archived conversations must match.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp

All Classes Functions Enumerations Enumerator Properties